diff -ru extract/pidgin-2.10.11/libpurple/plugin.c libpurple/plugin.c
--- extract/pidgin-2.10.11/libpurple/plugin.c	2014-11-23 11:41:25.000000000 -0500
+++ libpurple/plugin.c	2015-03-19 23:21:15.000000000 -0400
@@ -33,7 +33,6 @@
 #include "request.h"
 #include "signals.h"
 #include "util.h"
-#include "valgrind.h"
 #include "version.h"
 
 typedef struct
@@ -73,6 +72,8 @@
 
 #ifdef PURPLE_PLUGINS
 
+#define RUNNING_ON_VALGRIND 0
+
 static gboolean
 has_file_extension(const char *filename, const char *ext)
 {
@@ -283,8 +284,9 @@
 				purple_debug_error("plugins", "%s is not loadable: %s\n",
 						 plugin->path, plugin->error);
 			}
+#if 0
 			plugin->handle = g_module_open(filename, G_MODULE_BIND_LAZY | G_MODULE_BIND_LOCAL);
-
+#endif
 			if (plugin->handle == NULL)
 			{
 #ifdef _WIN32
@@ -788,9 +790,9 @@
 void
 purple_plugin_destroy(PurplePlugin *plugin)
 {
-#ifdef PURPLE_PLUGINS
 	g_return_if_fail(plugin != NULL);
 
+#ifdef PURPLE_PLUGINS
 	if (purple_plugin_is_loaded(plugin))
 		purple_plugin_unload(plugin);
 
@@ -886,6 +888,17 @@
 				loader_info->destroy(plugin);
 		}
 	}
+#else
+	if (plugin->info != NULL) {
+		if (PURPLE_IS_PROTOCOL_PLUGIN(plugin))
+			protocol_plugins = g_list_remove(protocol_plugins, plugin);
+
+		if (plugin->info->unload)
+			plugin->info->unload(plugin);
+	}
+
+	plugins = g_list_remove(plugins, plugin);
+#endif /* !PURPLE_PLUGINS */
 
 	g_free(plugin->path);
 	g_free(plugin->error);
@@ -893,7 +906,6 @@
 	PURPLE_DBUS_UNREGISTER_POINTER(plugin);
 
 	g_free(plugin);
-#endif /* !PURPLE_PLUGINS */
 }
 
 gboolean
@@ -1179,7 +1191,9 @@
 purple_plugins_init(void) {
 	void *handle = purple_plugins_get_handle();
 
+#ifdef LIBDIR
 	purple_plugins_add_search_path(LIBDIR);
+#endif
 
 	purple_signal_register(handle, "plugin-load",
 						 purple_marshal_VOID__POINTER,
@@ -1256,14 +1270,11 @@
 void
 purple_plugins_destroy_all(void)
 {
-#ifdef PURPLE_PLUGINS
-
 	while (plugins != NULL)
 		purple_plugin_destroy(plugins->data);
-
-#endif /* PURPLE_PLUGINS */
 }
 
+#if 0
 void
 purple_plugins_save_loaded(const char *key)
 {
@@ -1345,6 +1356,7 @@
 	g_list_free(files);
 #endif /* PURPLE_PLUGINS */
 }
+#endif
 
 
 void
diff -ru extract/pidgin-2.10.11/libpurple/plugin.h libpurple/plugin.h
--- extract/pidgin-2.10.11/libpurple/plugin.h	2014-11-23 11:41:25.000000000 -0500
+++ libpurple/plugin.h	2015-03-19 23:21:15.000000000 -0400
@@ -30,7 +30,9 @@
 #define _PURPLE_PLUGIN_H_
 
 #include <glib.h>
-#include <gmodule.h>
+#ifdef PURPLE_PLUGINS
+# include <gmodule.h>
+#endif
 #include "signals.h"
 #include "value.h"
 
@@ -217,6 +219,7 @@
 /**
  * Handles the initialization of modules.
  */
+#if 0
 #if !defined(PURPLE_PLUGINS) || defined(PURPLE_STATIC_PRPL)
 # define _FUNC_NAME(x) purple_init_##x##_plugin
 # define PURPLE_INIT_PLUGIN(pluginname, initfunc, plugininfo) \
@@ -237,7 +240,21 @@
 		return purple_plugin_register(plugin); \
 	}
 #endif
+#endif
 
+#ifdef PURPLE_STATIC_PRPL
+# define _FUNC_NAME(x) purple_init_##x##_plugin
+#else
+# define _FUNC_NAME(x) purple_plugin_register_self
+#endif
+
+#define PURPLE_INIT_PLUGIN(pluginname, initfunc, plugininfo) \
+	gboolean _FUNC_NAME(pluginname)(void) { \
+		PurplePlugin *plugin = purple_plugin_new(TRUE, NULL); \
+		plugin->info = &(plugininfo); \
+		initfunc((plugin)); \
+		return purple_plugin_register(plugin); \
+	}
 
 #ifdef __cplusplus
 extern "C" {
@@ -536,21 +553,6 @@
 void purple_plugins_destroy_all(void);
 
 /**
- * Saves the list of loaded plugins to the specified preference key
- *
- * @param key The preference key to save the list of plugins to.
- */
-void purple_plugins_save_loaded(const char *key);
-
-/**
- * Attempts to load all the plugins in the specified preference key
- * that were loaded when purple last quit.
- *
- * @param key The preference key containing the list of plugins.
- */
-void purple_plugins_load_saved(const char *key);
-
-/**
  * Probes for plugins in the registered module paths.
  *
  * @param ext The extension type to probe for, or @c NULL for all.
